<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1simulator_1_1_simulator.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">framework::simulator::Simulator Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a6056cf9ac936155c49613c672ade55ed">AddDeviceToLog</a>(IODevice *device)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a2848deb4f447f069240886a053335de8">BlockCom</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad2996266061e7f3062347ff71e605617">ConnectionLost</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#acd9d7283180122a3254f34e052591fcc">DisableErrorsDisplay</a>(bool value)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ada7db9f85fae36f27d6b6384971c09c5">FrameworkManager</a>(std::string name)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#abcdd863f5fe4dc6f63e2f2c6452024d7">GetTabWidget</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a3d58cacaea8f578ecd99ccfa97978f80">IsDisplayingErrors</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a2877c46562eb2f44d45806f24883f463">IsLogging</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a>)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>RunSimu</b>(void) (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad1da240f00558ad89896b213a9ac9fef">SetupConnection</a>(std::string address, uint16_t port, size_t rcv_buf_size=10000)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#addb0842421d006e0768781c056ed05be">SetupDSP</a>(std::string file, int globalTimeoutMs=-1)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a1193a30091d4ea54cdb9629ff05aac3e">SetupLogger</a>(std::string log_path)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ab50a61d52acbd0577e1929ffe56fe1ea">SetupUserInterface</a>(std::string xml_file)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Simulator</b>(std::string name, int optitrack_mstime=10, float yaw_deg=30) (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">StartLog</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">StopLog</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ToVRPNReference</b>(core::Quaternion quat_in) (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>ToVRPNReference</b>(core::Vector3D point_in) (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#aca78bacec4bcddb9201df47abe1e14e9">UnBlockCom</a>(void)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a5009e267fa360f05d26530375a05cd36">UpdateSendData</a>(const gui::SendData *obj)</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Yaw</b>(void) const  (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#aa450d1de1dfd800a375793f516778dc0">~FrameworkManager</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a>()</td><td class="entry"><a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~Simulator</b>() (defined in <a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a>)</td><td class="entry"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">framework::simulator::Simulator</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
